SDL Library Documentation
Prev |  | Next

# SDL_EnableUNICODE

## Name

SDL_EnableUNICODE -- Enable UNICODE translation

## Synopsis

    #include "SDL.h"

``int SDL_EnableUNICODE`(int enable);`

## Description

Enables/Disables UNICODE keyboard translation.

If you wish to translate a keysym to it's printable representation, you need to enable UNICODE translation using this function (`enable`=0) and then look in the `unicode` member of the SDL_keysym structure. This value will be zero for keysyms that do not have a printable representation. UNICODE translation is disabled by default as the conversion can cause a slight overhead.

## Return Value

Returns the previous translation mode.

## See Also

SDL_keysym

Prev | Home | Next
SDL_GetKeyName | Up | SDL_EnableKeyRepeat